﻿Imports System.IO.IsolatedStorage
Imports System.IO

Partial Public Class ViewEdit
    Inherits PhoneApplicationPage

    Private fileName As String = ""

    Public Sub New()
        InitializeComponent()
    End Sub


    Private Sub AppBar_Back_Click(ByVal sender As Object, ByVal e As EventArgs)
        navigateBack()
    End Sub

    Private Sub AppBar_Edit_Click(ByVal sender As Object, ByVal e As EventArgs)
        If displayTextBlock.Visibility = System.Windows.Visibility.Visible Then
            editTextBox.Text = displayTextBlock.Text
            displayTextBlock.Visibility = System.Windows.Visibility.Collapsed
            editTextBox.Visibility = System.Windows.Visibility.Visible

        End If
    End Sub

    Private Sub AppBar_Save_Click(ByVal sender As Object, ByVal e As EventArgs)
        If editTextBox.Visibility = System.Windows.Visibility.Visible Then

            Dim appStorage = IsolatedStorageFile.GetUserStoreForApplication()

            Using file = appStorage.OpenFile(fileName, FileMode.Create)
                Using sw As New StreamWriter(file)
                    sw.WriteLine(editTextBox.Text)
                End Using
            End Using

            displayTextBlock.Text = editTextBox.Text
            displayTextBlock.Visibility = System.Windows.Visibility.Visible
            editTextBox.Visibility = System.Windows.Visibility.Collapsed
        End If
    End Sub

    Private Sub AppBar_Delete_Click(ByVal sender As Object, ByVal e As EventArgs)
        confirmDialog.Visibility = System.Windows.Visibility.Visible
    End Sub

    Private Sub navigateBack()
        NavigationService.Navigate(New Uri("/XapNote;component/MainPage.xaml", UriKind.Relative))
    End Sub

    Private Sub PhoneApplicationPage_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
        fileName = NavigationContext.QueryString("id")

        Dim appStorage = IsolatedStorageFile.GetUserStoreForApplication()

        Using file = appStorage.OpenFile(fileName, System.IO.FileMode.Open)
            Using sr As New StreamReader(file)
                displayTextBlock.Text = sr.ReadToEnd()
            End Using
        End Using

    End Sub

    Private Sub deleteButton_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
        Dim appStorage = IsolatedStorageFile.GetUserStoreForApplication()

        appStorage.DeleteFile(fileName)

        navigateBack()
    End Sub

    Private Sub cancelButton_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
        confirmDialog.Visibility = System.Windows.Visibility.Collapsed
    End Sub

End Class
